package com.zanxiang.game.data.serve.controller;

import com.zanxiang.game.data.serve.pojo.vo.AdsOverallSummaryLineDataVO;
import com.zanxiang.game.data.serve.pojo.param.AdsOverallSummaryParam;
import com.zanxiang.game.data.serve.pojo.vo.AdsOverallSummaryVO;
import com.zanxiang.game.data.serve.service.IAdsOverallSummaryService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author tianhua
 * @time 2023/7/4
 * @Description 整体概况控制层接口
 **/
@Api(tags = {"整体概况"})
@RestController
@RequestMapping("/allSurvey")
@Slf4j
public class AdsOverallSummaryController {

    @Autowired
    private IAdsOverallSummaryService adsOverallSummaryService;

    @ApiOperation(value = "获取整体概况数据")
    @PostMapping("/data")
    public ResultVO<AdsOverallSummaryVO> getOverallSummaryData(@RequestBody AdsOverallSummaryParam param) {
        return ResultVO.ok(adsOverallSummaryService.getOverallSummaryData(param));
    }

    @ApiOperation(value = "获取折线图数据")
    @PostMapping("/linedata")
    public ResultVO<List<AdsOverallSummaryLineDataVO>> getOverallSummaryLineData(@RequestBody AdsOverallSummaryParam param) {
        return ResultVO.ok(adsOverallSummaryService.getOverallSummaryLineData(param));
    }


}
